# Generated by Django 4.0.6 on 2022-08-02 03:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('SchoolApi', '0005_class_subject'),
    ]

    operations = [
        migrations.CreateModel(
            name='AssignClass',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('class_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='class1', to='SchoolApi.class')),
                ('subject_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subject', to='SchoolApi.subject')),
                ('teacher_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='teacher', to='SchoolApi.teacher')),
            ],
        ),
    ]
